Bug 1807806 - Incorrect reference to BR: pkgconfig(zlib)
Summary: Incorrect reference to BR: pkgconfig(zlib)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: heaptrack
Version: rawhide
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-27 09:54 UTC by barsnick
Modified: 2020-03-16 20:29 UTC (History)
2 users (show)

Fixed In Version: heaptrack-1.1.0-6.fc31 heaptrack-1.1.0-6.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-06 02:23:13 UTC
Type: Bug


Attachments (Terms of Use)

Description barsnick 2020-02-27 09:54:03 UTC
Description of problem:
The SPEC file incorrectly references a BuildRequires as pkgconfig(zlib), even though the build system doesn't use pkgconfig.

Version-Release number of selected component (if applicable):
1.1.0-5

Additional info:
As far as I can tell, heaptrack's CMake build system doesn't use pkgconfig at all, just classic preprocessing and compile tests (search for headers and libs). Therefore specifiying a BuildRequires using "pkgconfig()" is semantically incorrect, even though it works just fine within Fedora. Correct would be to specify "BuildRequires: zlib-devel" as for the other packages.

Comment 1 Jan Grulich 2020-02-27 10:00:14 UTC
I believe this a correct way how to require a dependency.

See https://fedoraproject.org/wiki/PackagingDrafts/PkgConfigBuildRequires. Using BR: pkgconfig(zlib) will work in future even if the zlib-devel starts providing a different library.

Comment 2 Jan Grulich 2020-02-27 10:06:23 UTC
Reading it again, you are probably correct. I will fix it with the other request you reported.

Comment 3 Fedora Update System 2020-02-27 11:18:28 UTC
FEDORA-2020-936a31cf2d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-936a31cf2d

Comment 4 Fedora Update System 2020-02-27 18:38:10 UTC
heaptrack-1.1.0-6.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-936a31cf2d

Comment 5 Fedora Update System 2020-02-28 01:27:24 UTC
heaptrack-1.1.0-6.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-61f2b8f035

Comment 6 Fedora Update System 2020-03-06 02:23:13 UTC
heaptrack-1.1.0-6.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-03-16 20:16:49 UTC
heaptrack-1.1.0-6.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-03-16 20:29:33 UTC
heaptrack-1.1.0-6.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.